Add 4

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /project/{projectId}/audit-log-flag/batch

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
application/json

Body Required

  • auditLogFlagRequests array[object]
    Hide auditLogFlagRequests attributes Show auditLogFlagRequests attributes object
    • entity string

      Values are Activity, Logic, Report, Calendar, CalendarWorktime, or WBS.

    • entityId integer(int64)
    • auditDate string(date)
    • field string

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • field string
    • id integer(int64)
    • entity string

      Values are Activity, Logic, Report, Calendar, CalendarWorktime, or WBS.

    • auditDate string(date)
    • entityId integer(int64)
POST /project/{projectId}/audit-log-flag/batch
curl \
 --request POST 'https://live.smartpmtech.com/project/{projectId}/audit-log-flag/batch' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "auditLogFlagRequests": [
    {
      "entity": "Activity",
      "entityId": 42,
      "auditDate": "2026-05-04",
      "field": "string"
    }
  ]
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "auditLogFlagRequests": [
    {
      "entity": "Activity",
      "entityId": 42,
      "auditDate": "2026-05-04",
      "field": "string"
    }
  ]
}
Response examples (200)
[
  {
    "field": "string",
    "id": 42,
    "entity": "Activity",
    "auditDate": "2026-05-04",
    "entityId": 42
  }
]